<?php
/**
@brief POST で飛んできた title から Role を登録する
@todo CSRF 対応にするため、後で index から切り出すこと
*/

include "../../mainfile.php";
include_once XOOPS_ROOT_PATH."/header.php";
include_once XOOPS_ROOT_PATH."/modules/exFrame/frameloader.php";
include_once "./class/global.php";

$title = isset($_POST['title']) ? $_POST['title'] : null;

if(!$title)
	request_header("index.php",1,"不正な要求です");

$handler = bxParty::getHandler('party');
$partys = $handler->getObjects(new Criteria('title',$title));

if(count($partys)) {
	$party=$partys[0];
	Session::register($xoopsModule->dirname().":"."access".$party->getVar('id'),true);
	header("location: detail.php?id=".$party->getVar('id'));
}
else
	request_header("index.php",1,"不正な要求です");

?>